Subject: Re: [PATCH v4 for-next 00/12] Add network namespace support in the RDMA-CM

From: Jason Gunthorpe <jgunthorpe-ePGOBjL8dl3ta4EC/59zMFaTQe2KTcn/@public.gmane.org>
Date: Tue, 19 May 2015 13:20:34 -0600

On Wed, May 20, 2015 at 12:14:10AM +0530, Parav Pandit wrote:
> On Wed, May 20, 2015 at 12:08 AM, Jason Gunthorpe
> <jgunthorpe-ePGOBjL8dl3ta4EC/59zMFaTQe2KTcn/@public.gmane.org> wrote:
> > On Tue, May 19, 2015 at 10:09:14PM +0530, Parav Pandit wrote:
> >
> >> A callback function registered to IP stack for IP address
> >> assignment/removal. (it could be done possibly done for GID entry
> >> update, instead of IP)
> >> For each such namespace, for device supporting RoCEv2, one UDP socket
> >> with RoCEv2 UDP port would be created and destroyed.
> >
> > You need to consult netdev for whatever scheme you come up with.
> >
> 
> Yes. However it won't be an issue for netdev as its going to use
> register_inetaddr_notifier and friend functions which are standard
> set

I was talking about your scheme to reserve a UDP port number. Make it
clear, and ask specifically about that.

Jason
--
To unsubscribe from this list: send the line "unsubscribe linux-rdma" in
the body of a message to [email-masked]
More majordomo info at  http://vger.kernel.org/majordomo-info.html